
window.onscroll = function()
{
    var scrollpos = getScrollingPosition();
    if(scrollpos[1] > 248)
    {
	
        if(document.getElementById('Nag'))
			document.getElementById('Nag').className = 'Nag fixed';
		if(document.getElementById('CategoriesBar_content'))
			document.getElementById('CategoriesBar_content').className = 'fixed clearfix';
	}
    else
    {
        if(document.getElementById('Nag'))
			document.getElementById('Nag').className = 'Nag';
		if(document.getElementById('CategoriesBar_content'))
			document.getElementById('CategoriesBar_content').className = 'clearfix';
    }

	//rgs.
	// if(scrollpos[1] == 238) {
		// document.getElementById('whereScroll').value = 'bottom';
	// }
	// if(scrollpos[1] == 0) {
		// document.getElementById('whereScroll').value = 'top';
	// }

	// var whereScroll = document.getElementById('whereScroll').value;
	// var EnablewhereScroll = document.getElementById('EnablewhereScroll').value;
	// if(scrollpos[1] < 238 && scrollpos[1] > 0)
	// {
		// if( EnablewhereScroll == 'enable' )
		// {
			// if( whereScroll == 'top' ) {
				// window.scrollTo(0, 238);
			// }
			// else {
				// window.scrollTo(0, 0);
			// }
		// }
	// }
	//rgs..
};
function getScrollingPosition()
{
    var position = [0, 0];
    if (typeof window.pageYOffset != 'undefined')
    {
        position = [
            window.pageXOffset,
            window.pageYOffset
        ];
    }
    else if (typeof document.documentElement.scrollTop
        != 'undefined' && document.documentElement.scrollTop > 0)
    {
        position = [
            document.documentElement.scrollLeft,
            document.documentElement.scrollTop
        ];
    }
    else if (typeof document.body.scrollTop != 'undefined')
    {
        position = [
            document.body.scrollLeft,
            document.body.scrollTop
        ];
    }
    return position;
}

		